dnl
dnl  Configuration input file for standard Harvest broker components
dnl
dnl  configure.in,v 1.2 1995/08/31 20:53:32 duane Exp
dnl
AC_INIT(simple-scripts/harvest-check.pl)
AC_REVISION(1.2)dnl
AC_PREFIX_DEFAULT(/usr/local/harvest)

dnl Build a copy of prefix

if test -n "$prefix"; then
  myprefix="$prefix";
else
  myprefix='/usr/local/harvest';
fi

INSTALL_TOPDIR="$myprefix";
INSTALL_LIBDIR="$myprefix/lib";
INSTALL_BINDIR="$myprefix/bin";
INSTALL_MANDIR="$myprefix/man";

THIS_HOST="`hostname`"
XTRA_LIBS=''


dnl Subsitutions
AC_SUBST(INSTALL_TOPDIR)
AC_SUBST(INSTALL_LIBDIR)
AC_SUBST(INSTALL_BINDIR)
AC_SUBST(INSTALL_MANDIR)
AC_SUBST(THIS_HOST)

dnl Check for programs
AC_PROG_INSTALL
AC_PATH_PROG(CMD_PERL, perl, /bin/false)

dnl Set PERL too
PERL="$CMD_PERL"
AC_SUBST(PERL)

dnl Clean up after OSF/1 core dump bug
rm -f core 

AC_OUTPUT(\
	simple-scripts/Makefile \
)
